package com.ruoyi.bst.store.domain.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @author wjh
 * 2024/12/20
 */
@Data
public class StoreStockInDTO {

    @ApiModelProperty("入库ID")
    @NotNull(message = "入库ID不允许为空")
    private Long id;

    @ApiModelProperty("入库数量")
    @NotNull(message = "入库数量不允许为空")
    @Min(value = 1, message = "入库数量不允许小于1")
    private BigDecimal storeNum;

}
